Subject: Re: [ofa-general] InfiniBand/RDMA merge plans for 2.6.24

From: "Michael Chan" <[email-masked]>
Date: Fri, 14 Sep 2007 14:09:46 -0700

On Fri, 2007-09-14 at 09:18 -0700, Roland Dreier wrote:

> However, do you have any plans to support iSCSI offload for targets?
> Also, looking at the first CNIC patch, I can't help but notice that
> you seem to have at least some support for iWARP there.  How does the
> CNIC look?  Does it share the same interface/addresses as the
> non-offload NIC, or does it create a completely separate netdevice?

We will support iWARP in the future and it should be similar to the way
we do iSCSI - using the same interface/addresses as the bnx2 NIC.

> 
> I want to make sure that whatever solution we come up with for cxgb3
> doesn't cause problems for you.  And of course if you have a better
> idea than what Steve has come up with, that would be great :)
> 

We are looking at these discussions with great interest.  If we have any
new ideas, we'll definitely let everyone know.  Thanks.